---
title: HTMLMenuItemElement
slug: Web/API/HTMLMenuItemElement
tags:
  - API
  - Deprecated
  - Draft
  - HTMLMenuItemElement
  - Interface
  - Reference
---
<p>{{APIRef("HTML DOM")}}{{Draft}}{{Deprecated_Header("HTML5.2")}}</p>

<p class="summary">The <strong><code>HTMLMenuItemElement</code></strong> interface provides special properties (beyond those defined on the regular {{DOMxRef("HTMLElement")}} interface it also has available to it by inheritance) for manipulating {{HTMLElement("menuitem")}} elements.</p>

<p>{{InheritanceDiagram(600,120)}}</p>

<div>{{InterfaceOverview("HTML DOM")}}</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("HTML5.1", "interactive-elements.html#htmlmenuitemelement-htmlmenuitemelement", "HTMLMenuItemElement")}}</td>
   <td>{{Spec2("HTML5.1")}}</td>
   <td>Snapshot of the {{SpecName("HTML WHATWG")}}.<br>
    Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLMenuItemElement")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{DOMxRef("HTMLMenuElement")}}</li>
</ul>
